# Uses of Class
java.awt.datatransfer.UnsupportedFlavorException

Packages that use UnsupportedFlavorException
Package
Description
java.awt.datatransfer
Provides interfaces and classes for transferring data between and within applications.
java.awt.dnd
Drag and Drop is a direct manipulation gesture found in many Graphical User Interface systems that provides a mechanism to transfer information between two entities logically associated with presentation elements in the GUI.

## Uses of UnsupportedFlavorException in java.awt.datatransfer

Methods in java.awt.datatransfer that throw UnsupportedFlavorException
Modifier and Type
Method
Description
`Object`
Clipboard.`getData(DataFlavor flavor)`
Returns an object representing the current contents of this clipboard in the specified `DataFlavor`.
`Reader`
DataFlavor.`getReaderForText(Transferable transferable)`
Gets a Reader for a text flavor, decoded, if necessary, for the expected charset (encoding).
`Object`
StringSelection.`getTransferData(DataFlavor flavor)`
Returns the `Transferable`'s data in the requested `DataFlavor` if possible.
`Object`
Transferable.`getTransferData(DataFlavor flavor)`
Returns an object which represents the data to be transferred.

## Uses of UnsupportedFlavorException in java.awt.dnd

Methods in java.awt.dnd that throw UnsupportedFlavorException
Modifier and Type
Method
Description
`Object`
DropTargetContext.TransferableProxy.`getTransferData(DataFlavor df)`
Returns an object which represents the data provided by the encapsulated transferable for the requested data flavor.